Share with friends and colleagues on social media

 

Our Public Release Candidate 1 for SUSE Linux Enterprise 15 Service Pack 2 is available for:

  • SUSE Linux Enterprise Server (SLES),
  • SUSE Linux Enterprise Server for SAP (SLES for SAP),
  • SUSE Linux Enterprise Just Enough Operating System (JeOS),
  • SUSE Linux Enterprise High Availability (SLEHA and SLEHA GEO),
  • SUSE Linux Enterprise Desktop (SLED),
  • SUSE Linux Enterprise Workstation Extension (SLEWE),
  • SUSE Linux Enterprise for High Performance Computing (SLEHPC).

Download available here and Changelogs available here!

Since Public Release Candidate 1 is released more than 2 months after the release of the Public Beta, tons of fixes and enhancement is included in this milestone.

SLE 15 SP2 Major Themes

If you are wondering what are the Major Themes for SLE 15 SP2 development and the Notable Changes compared to SLE 15 SP1, we highly recommend you to check out our dedicated Public Beta web page for SLE:

Notable Changes since Public Beta

Added Packages (selection)

  • cmake-full: 3.17.0-1.6
  • conmon: 2.0.10-3.3.1
  • container-diff: 0.15.0-1.4.2
  • erlang: 22.2.7-1.23
  • gnome-remote-desktop: 0.1.8-1.8
  • libLLVM9: 9.0.1-1.20
  • postgresql12: 12.2-1.13
  • QR-Code-generator: 1.5.0-1.3.2
  • rabbitmq-server: 3.8.3-1.11
  • terraform: 0.12.19-3.6.1
  • vulkan 1.0.65.0-3.29
  • vulkan-tools 1.2.133-1.15
  • yubikey-manager-qt: 1.1.1-1.12

Updated Packages (selection)

Special Mention

  • GNOME stack to 3.34 (including applications like evolution, baobab, gdm, NetworkManager, ModemManager, seahorse, vino…)
  • maven stack 3.6
  • yast2 stack (4.2.82-1.1 ) including translations
  • kernel: 5.3.18-14.1
  • mariadb: 10.4.12-2.13
  • postgresql10: 10.12-1.13
  • postgresql12: 12.2-1.13

Development

  • cmake: 3.17.0-1.4
  • gcc7: 7.5.0+r278197-4.16.2
  • gcc9: 9.2.1+r275327-1.3.7
  • nodejs10: 10.19.0-1.18.1
  • nodejs12: 12.15.0-1.18.1
  • osc: 0.167.2-3.12.1
  • pcp: 4.3.1-3.8.2
  • perl: 5.26.1-7.9.1
  • php7: 7.3.15-1.17
  • python3: 3.6.10-3.50.5
  • ruby: 2.5.8-4.11.1
  • rust: 1.36.0-7.1

Desktop

  • flatpak: 1.6.3-1.5
  • gtk3: 3.24.14-1.17
  • libreoffice: 6.4.2.2-8.16.6
  • libyui-qt: 2.52.2-1.27
  • libyui11: 3.9.3-1.17
  • Mesa: 19.3.4-45.10
  • MozillaFirefox: 68.7.0-3.84.2
  • MozillaThunderbird: 68.6.0-3.77.1
  • mutter: 3.34.4-2.13
  • intel-vaapi-driver: 2.4.0-1.16

Others

  • 389-ds: 1.4.2.11~git0.aff1a2831-1.2
  • apache2: 2.4.43-1.3
  • btrfsprogs: 4.19.1-8.3.1
  • ceph-common: 15.2.1.16+gb3a86250a6-1.1
  • chrony: 3.2-15.7
  • cifs-utils: 6.9-5.3.1
  • cloud-init: 19.4-8.17.1
  • cni: 0.7.1-3.3.1
  • cpupower: 5.5-3.6
  • crmsh: 4.2.0+git.1585096577.f3257c89-1.5
  • dracut: 049.1+suse.138.g9068a629-1.5
  • drbd-utils: 9.12.0-1.9
  • duplicity: 0.8.11.1596-1.10
  • freeradius-server: 3.0.21-1.12
  • glib2: 2.62.5-1.12
  • glibc: 2.26-13.45.1
  • grub2: 2.04-5.7
  • habootstrap-formula 0.3.0-1.9
  • haproxy: 2.0.10+git0.ac198b92-8.12.1
  • health-checker: 1.3.1-1.8
  • ibus: 1.5.22-2.7
  • ipmctl: 02.00.00.3733-1.12
  • ipmitool: 1.8.18+git20200204.7ccea28-1.13
  • kexec-tools: 2.0.20-3.7
  • libselinux1: 3.0-1.16
  • libstorage-ng: 4.2.74-1.1
  • libvirt: 6.0.0-8.1
  • log4j12: 1.2.17-2.11
  • lsb-release: 3.1-1.8
  • meson: 0.53.1-1.12
  • nginx: 1.16.1-1.8
  • npm12: 12.15.0-1.18
  • open-vm-tools: 11.0.5-1.11
  • openssh: 8.1p1-3.12
  • openssl-1_1: 1.1.1d-8.5
  • podman: 1.8.0-4.20.1
  • powerpc-utils 1.3.7.1-3.12.1
  • qemu: 4.2.0-8.1
  • rabbitmq-server: 3.8.3-1.11
  • raspberrypi-firmware: 2020.02.20-6.2
  • resource-agents: 4.4.0+git57.70549516-1.8
  • restorecond: 3.0-1.7
  • rmt-server: 2.5.4-1.25
  • rpm: 4.14.1-19.3
  • s390-tools: 2.11.0-7.5
  • salt-shaptools: 0.3.1-1.9
  • salt: 3000-1.2
  • samba: 4.11.5+git.137.297c522339b-1.16
  • saptune: 2.0.3-8.11.1
  • skopeo: 0.1.41-4.11.1
  • tomcat: 9.0.33-1.10
  • valgrind: 3.15.0-16.7
  • wicked: 0.6.63-1.11
  • wireshark: 3.2.2-3.35.2
  • wpa_supplicant: 2.6-4.17.1
  • xen: 4.13.0_12-1.1
  • xrdp: 0.9.13-1.5
  • zypper: 1.14.36-1.2

Downgraded Packages

  • libfreebl3-32bit: 3.47.1-9.1 => 3.47.1-3.28.1
  • libsoftokn3-32bit: 3.47.1-9.1 => 3.47.1-3.28.1
  • libsystemd0: 234-31.13 => 234-24.46.1
  • libudev1: 234-31.13 => 234-24.46.1
  • metis: 5.1.0-12.8 => 5.1.0-9.3.4
  • mozilla-nss-32bit: 3.47.1-9.1 => 3.47.1-3.28.1
  • mozilla-nss-certs: 3.47.1-9.1 => 3.47.1-3.28.1
  • mozilla-nss-sysinit: 3.47.1-9.1 => 3.47.1-3.28.1
  • mozilla-nss-tools: 3.47.1-9.1 => 3.47.1-3.28.1
  • mozilla-nss: 3.47.1-9.1 => 3.47.1-3.28.1
  • ndctl: 64.1-8.8 => 64.1-3.9.1
  • systemd: 234-31.13 => 234-24.46.1
  • udev: 234-31.13 => 234-24.46.1

Removed Packages

  • ipmctl-monitor-01.00.00.3497-1.3
  • libwireshark9-2.4.16-3.31.1 (replaced by libwireshark13)
  • libwiretap7-2.4.16-3.31.1
  • maven-doxia-module-markdown-1.7-1.40
  • ocaml-camlp4-4.05-1.44
  • ocaml-findlib-1.7.3-1.52
  • ocaml-findlib-camlp4-1.7.3-1.52
  • parboiled-1.1.6-1.33
  • pegdown-1.4.2-1.34
  • u-boot-rpi3-2020.01-3.7
  • xmlunit-1.5-1.33
  • kernel-zfcpdump-5.3.18-10.1
  • ocaml-hivex-1.3.14-3.46
  • ocr_1_0_1-gnu-openmpi4-hpc
  • sles4sap-white-papers
  • update-test-trivial

Architecture changes

  • apache2-mod_auth_openidc: aarch64 => s390x

The full list of changes from SLE 15 SP1 to SLE 15 SP2 Public RC 1 is available in our Changelog file for more details and the full list of changes.

More information

Please visit https://www.suse.com/betaprogram/sle-beta for more information like beta schedule, how to report issues, how to start a discussion with SLE Engineering and more.

Have fun beta testing!

Your SUSE Linux Enterprise Team

Share with friends and colleagues on social media
(Visited 1 times, 1 visits today)
Tags: , , , , , ,
Category: Announcements, Enterprise Linux, Expert Views, News, Products, Promotions, Server, Solutions, SUSE Linux Enterprise, SUSE News, Technical Solutions
This entry was posted Friday, 24 April, 2020 at 11:06 am
You can follow any responses to this entry via RSS.

Leave a Reply

Your email address will not be published. Required fields are marked *

No comments yet